package com.huimv.admin.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.BasePigpen;
import com.huimv.admin.entity.EnergyWater;
import com.huimv.admin.mapper.BasePigpenMapper;
import com.huimv.admin.mapper.EnergyWaterMapper;
import com.huimv.admin.service.IEnergyWaterService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author author
 * @since 2023-02-14
 */
@Service
public class EnergyWaterServiceImpl extends ServiceImpl<EnergyWaterMapper, EnergyWater> implements IEnergyWaterService {

    @Autowired
    private BasePigpenMapper basePigpenMapper;
    @Autowired
    private EnergyWaterMapper energyWaterMapper;
    @Override
    public Result listPigpen(HttpServletRequest httpServletRequest, Map<String, String> paramsMap) {
        String farmId = paramsMap.get("farmId");
        String id = paramsMap.get("id");//层id

        QueryWrapper<BasePigpen> basePigpenQueryWrapper = new QueryWrapper<>();
        basePigpenQueryWrapper.eq("farm_id", farmId).eq("parent_id",0);
        if (id == null || id == "") {
            List<BasePigpen> basePigpens = basePigpenMapper.selectList(basePigpenQueryWrapper);//得到所有的栋
            for (BasePigpen basePigpen : basePigpens) {
                basePigpen.getId();
                QueryWrapper<BasePigpen> queryWrapper = new QueryWrapper<>();
                queryWrapper.eq("parent_id", basePigpen.getId());
                List<BasePigpen> pigpens = basePigpenMapper.selectList(queryWrapper);//得到所有的层
                for (BasePigpen pigpen : pigpens) {
                    QueryWrapper<EnergyWater> energyWaterQueryWrapper = new QueryWrapper<>();
                    energyWaterQueryWrapper.eq("unit_id",pigpen.getId()).orderByDesc("create_date");
                    energyWaterMapper.selectOne(energyWaterQueryWrapper);
                }

            }
        }
        return null;
    }
}
